	.file	"t2t.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.local	level
	.comm	level,2402400,32
	.local	stat_mutex_init
	.comm	stat_mutex_init,4,4
	.local	stat_mutex_lock
	.comm	stat_mutex_lock,4,4
	.local	stat_mutex_unlock
	.comm	stat_mutex_unlock,4,4
	.local	stat_mutex_destroy
	.comm	stat_mutex_destroy,4,4
	.section	.rodata
	.align 4
.LC0:
	.string	"error argv[1] (many arg) %d > max MANY %d\n"
	.align 4
.LC1:
	.string	"error argv[2] (level arg) %d > max LEVEL %d\n"
	.align 4
.LC2:
	.string	"many %d level %d total_locks: %d\n"
.LC3:
	.string	"init level %d\n"
.LC4:
	.string	"error %d at line %d\n"
.LC5:
	.string	"locking level %d\n"
.LC6:
	.string	"unlocking level %d\n"
.LC7:
	.string	"deleting level %d\n"
	.text
.globl doit
	.type	doit, @function
doit:
.LFB0:
	.file 1 "t2t.c"
	.loc 1 27 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$56, %esp
	.loc 1 31 0
	movl	$100, -16(%ebp)
	.loc 1 32 0
	movl	$1, -12(%ebp)
	.loc 1 34 0
	cmpl	$1, 8(%ebp)
	jle	.L2
	movl	12(%ebp), %eax
	addl	$4, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	movl	%eax, -16(%ebp)
.L2:
	.loc 1 35 0
	cmpl	$2, 8(%ebp)
	jle	.L3
	movl	12(%ebp), %eax
	addl	$8, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	movl	%eax, -12(%ebp)
.L3:
	.loc 1 37 0
	cmpl	$1000, -16(%ebp)
	jle	.L4
	.loc 1 38 0
	movl	$.LC0, %eax
	movl	$1000, 8(%esp)
	movl	-16(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 39 0
	movl	$1, (%esp)
	call	exit
.L4:
	.loc 1 42 0
	cmpl	$100, -12(%ebp)
	jle	.L5
	.loc 1 43 0
	movl	$.LC1, %eax
	movl	$100, 8(%esp)
	movl	-12(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 44 0
	movl	$1, (%esp)
	call	exit
.L5:
	.loc 1 47 0
	cmpl	$1, -12(%ebp)
	setne	%al
	movzbl	%al, %eax
	addl	-16(%ebp), %eax
	movl	%eax, %edx
	imull	-12(%ebp), %edx
	movl	$.LC2, %eax
	movl	%edx, 12(%esp)
	movl	-12(%ebp), %edx
	movl	%edx, 8(%esp)
	movl	-16(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 51 0
	movl	$0, -28(%ebp)
	jmp	.L6
.L12:
	.loc 1 52 0
	movl	$.LC3, %eax
	movl	-28(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 53 0
	movl	$0, -24(%ebp)
	jmp	.L7
.L9:
	.loc 1 54 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	leal	level(%eax), %ecx
	movl	-24(%ebp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$3, %eax
	leal	(%ecx,%eax), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_mutex_init
	movl	%eax, -20(%ebp)
	.loc 1 55 0
	cmpl	$0, -20(%ebp)
	je	.L8
	movl	$.LC4, %eax
	movl	$55, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L8:
	.loc 1 56 0
	movl	stat_mutex_init, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_init
	.loc 1 53 0
	addl	$1, -24(%ebp)
.L7:
	movl	-24(%ebp), %eax
	cmpl	-16(%ebp), %eax
	jl	.L9
	.loc 1 58 0
	cmpl	$1, -12(%ebp)
	jle	.L10
	.loc 1 59 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	addl	$24000, %eax
	addl	$level, %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_mutex_init
	movl	%eax, -20(%ebp)
	.loc 1 60 0
	cmpl	$0, -20(%ebp)
	je	.L11
	movl	$.LC4, %eax
	movl	$60, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L11:
	.loc 1 61 0
	movl	stat_mutex_init, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_init
.L10:
	.loc 1 51 0
	addl	$1, -28(%ebp)
.L6:
	movl	-28(%ebp), %eax
	cmpl	-12(%ebp), %eax
	jl	.L12
	.loc 1 65 0
	movl	$0, -28(%ebp)
	jmp	.L13
.L19:
	.loc 1 66 0
	movl	$.LC5, %eax
	movl	-28(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 67 0
	movl	$0, -24(%ebp)
	jmp	.L14
.L16:
	.loc 1 68 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	leal	level(%eax), %ecx
	movl	-24(%ebp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$3, %eax
	leal	(%ecx,%eax), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_lock
	movl	%eax, -20(%ebp)
	.loc 1 69 0
	cmpl	$0, -20(%ebp)
	je	.L15
	movl	$.LC4, %eax
	movl	$69, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L15:
	.loc 1 70 0
	movl	stat_mutex_lock, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_lock
	.loc 1 67 0
	addl	$1, -24(%ebp)
.L14:
	movl	-24(%ebp), %eax
	cmpl	-16(%ebp), %eax
	jl	.L16
	.loc 1 72 0
	cmpl	$1, -12(%ebp)
	jle	.L17
	.loc 1 73 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	addl	$24000, %eax
	addl	$level, %eax
	movl	%eax, (%esp)
	call	pthread_mutex_lock
	movl	%eax, -20(%ebp)
	.loc 1 74 0
	cmpl	$0, -20(%ebp)
	je	.L18
	movl	$.LC4, %eax
	movl	$74, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L18:
	.loc 1 75 0
	movl	stat_mutex_lock, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_lock
.L17:
	.loc 1 65 0
	addl	$1, -28(%ebp)
.L13:
	movl	-28(%ebp), %eax
	cmpl	-12(%ebp), %eax
	jl	.L19
	.loc 1 79 0
	movl	$0, -28(%ebp)
	jmp	.L20
.L25:
	.loc 1 80 0
	movl	$.LC6, %eax
	movl	-28(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 81 0
	movl	$0, -24(%ebp)
	jmp	.L21
.L23:
	.loc 1 82 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	leal	level(%eax), %ecx
	movl	-24(%ebp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$3, %eax
	leal	(%ecx,%eax), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_unlock
	movl	%eax, -20(%ebp)
	.loc 1 83 0
	cmpl	$0, -20(%ebp)
	je	.L22
	movl	$.LC4, %eax
	movl	$83, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L22:
	.loc 1 84 0
	movl	stat_mutex_unlock, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_unlock
	.loc 1 81 0
	addl	$1, -24(%ebp)
.L21:
	movl	-24(%ebp), %eax
	cmpl	-16(%ebp), %eax
	jl	.L23
	.loc 1 86 0
	cmpl	$1, -12(%ebp)
	jle	.L24
	.loc 1 87 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	addl	$24000, %eax
	addl	$level, %eax
	movl	%eax, (%esp)
	call	pthread_mutex_unlock
	movl	%eax, -20(%ebp)
	.loc 1 88 0
	movl	stat_mutex_unlock, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_unlock
	.loc 1 89 0
	cmpl	$0, -20(%ebp)
	je	.L24
	movl	$.LC4, %eax
	movl	$89, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L24:
	.loc 1 79 0
	addl	$1, -28(%ebp)
.L20:
	movl	-28(%ebp), %eax
	cmpl	-12(%ebp), %eax
	jl	.L25
	.loc 1 93 0
	movl	$0, -28(%ebp)
	jmp	.L26
.L32:
	.loc 1 94 0
	movl	$.LC7, %eax
	movl	-28(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 95 0
	cmpl	$1, -12(%ebp)
	jle	.L27
	.loc 1 96 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	addl	$24000, %eax
	addl	$level, %eax
	movl	%eax, (%esp)
	call	pthread_mutex_destroy
	movl	%eax, -20(%ebp)
	.loc 1 98 0
	cmpl	$0, -20(%ebp)
	je	.L28
	movl	$.LC4, %eax
	movl	$98, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L28:
	.loc 1 99 0
	movl	stat_mutex_destroy, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_destroy
.L27:
	.loc 1 101 0
	movl	$0, -24(%ebp)
	jmp	.L29
.L31:
	.loc 1 102 0
	movl	-28(%ebp), %eax
	imull	$24024, %eax, %eax
	leal	level(%eax), %ecx
	movl	-24(%ebp), %edx
	movl	%edx, %eax
	addl	%eax, %eax
	addl	%edx, %eax
	sall	$3, %eax
	leal	(%ecx,%eax), %eax
	movl	%eax, (%esp)
	call	pthread_mutex_destroy
	movl	%eax, -20(%ebp)
	.loc 1 103 0
	cmpl	$0, -20(%ebp)
	je	.L30
	movl	$.LC4, %eax
	movl	$103, 8(%esp)
	movl	-20(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L30:
	.loc 1 104 0
	movl	stat_mutex_destroy, %eax
	addl	$1, %eax
	movl	%eax, stat_mutex_destroy
	.loc 1 101 0
	addl	$1, -24(%ebp)
.L29:
	movl	-24(%ebp), %eax
	cmpl	-16(%ebp), %eax
	jl	.L31
	.loc 1 93 0
	addl	$1, -28(%ebp)
.L26:
	movl	-28(%ebp), %eax
	cmpl	-12(%ebp), %eax
	jl	.L32
	.loc 1 107 0
	movl	$0, %eax
	.loc 1 108 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	doit, .-doit
	.section	.rodata
.LC8:
	.string	"loops %d\n"
	.align 4
.LC9:
	.string	"stats: init %d lock %d unlock %d destroy %d\n"
	.text
.globl main
	.type	main, @function
main:
.LFB1:
	.loc 1 111 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	pushl	%esi
	pushl	%ebx
	subl	$56, %esp
	.loc 1 112 0
	movl	$1, 40(%esp)
	.loc 1 114 0
	cmpl	$3, 8(%ebp)
	jle	.L35
	.cfi_escape 0x10,0x3,0x7,0x75,0x0,0x9,0xf0,0x1a,0x38,0x1c
	.cfi_escape 0x10,0x6,0x7,0x75,0x0,0x9,0xf0,0x1a,0x34,0x1c
	movl	12(%ebp), %eax
	addl	$12, %eax
	movl	(%eax), %eax
	movl	%eax, (%esp)
	call	atoi
	movl	%eax, 40(%esp)
.L35:
	.loc 1 116 0
	movl	$.LC8, %eax
	movl	40(%esp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 117 0
	movl	$0, 44(%esp)
	jmp	.L36
.L37:
	.loc 1 118 0
	movl	12(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	doit
	.loc 1 117 0
	addl	$1, 44(%esp)
.L36:
	movl	44(%esp), %eax
	cmpl	40(%esp), %eax
	jl	.L37
	.loc 1 120 0
	movl	stat_mutex_destroy, %esi
	movl	stat_mutex_unlock, %ebx
	movl	stat_mutex_lock, %ecx
	movl	stat_mutex_init, %edx
	movl	$.LC9, %eax
	movl	%esi, 16(%esp)
	movl	%ebx, 12(%esp)
	movl	%ecx, 8(%esp)
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 123 0
	movl	$0, %eax
	.loc 1 124 0
	addl	$56, %esp
	popl	%ebx
	.cfi_restore 3
	popl	%esi
	.cfi_restore 6
	movl	%ebp, %esp
	.cfi_def_cfa_register 4
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa_offset 4
	ret
	.cfi_endproc
.LFE1:
	.size	main, .-main
.Letext0:
	.file 2 "/usr/include/bits/pthreadtypes.h"
	.section	.debug_info
	.long	0x2c5
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF38
	.byte	0x1
	.long	.LASF39
	.long	.LASF40
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF8
	.uleb128 0x4
	.byte	0x4
	.long	0x71
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x5
	.long	.LASF12
	.byte	0x4
	.byte	0x2
	.byte	0x2f
	.long	0x91
	.uleb128 0x6
	.long	.LASF14
	.byte	0x2
	.byte	0x30
	.long	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x4
	.byte	0x4
	.long	0x78
	.uleb128 0x7
	.long	.LASF23
	.byte	0x2
	.byte	0x31
	.long	0x78
	.uleb128 0x8
	.byte	0x4
	.byte	0x2
	.byte	0x42
	.long	0xc1
	.uleb128 0x9
	.long	.LASF10
	.byte	0x2
	.byte	0x43
	.long	0x4f
	.uleb128 0x9
	.long	.LASF11
	.byte	0x2
	.byte	0x44
	.long	0x97
	.byte	0x0
	.uleb128 0x5
	.long	.LASF13
	.byte	0x18
	.byte	0x2
	.byte	0x39
	.long	0x110
	.uleb128 0x6
	.long	.LASF15
	.byte	0x2
	.byte	0x3a
	.long	0x4f
	.sleb128 0
	.uleb128 0x6
	.long	.LASF16
	.byte	0x2
	.byte	0x3b
	.long	0x25
	.sleb128 4
	.uleb128 0x6
	.long	.LASF17
	.byte	0x2
	.byte	0x3c
	.long	0x4f
	.sleb128 8
	.uleb128 0x6
	.long	.LASF18
	.byte	0x2
	.byte	0x3f
	.long	0x4f
	.sleb128 12
	.uleb128 0x6
	.long	.LASF19
	.byte	0x2
	.byte	0x40
	.long	0x25
	.sleb128 16
	.uleb128 0xa
	.long	0xa2
	.sleb128 20
	.byte	0x0
	.uleb128 0x8
	.byte	0x18
	.byte	0x2
	.byte	0x37
	.long	0x13a
	.uleb128 0x9
	.long	.LASF20
	.byte	0x2
	.byte	0x46
	.long	0xc1
	.uleb128 0x9
	.long	.LASF21
	.byte	0x2
	.byte	0x47
	.long	0x13a
	.uleb128 0x9
	.long	.LASF22
	.byte	0x2
	.byte	0x48
	.long	0x64
	.byte	0x0
	.uleb128 0xb
	.long	0x71
	.long	0x14a
	.uleb128 0xc
	.long	0x25
	.byte	0x17
	.byte	0x0
	.uleb128 0x7
	.long	.LASF24
	.byte	0x2
	.byte	0x49
	.long	0x110
	.uleb128 0xd
	.value	0x5dd8
	.byte	0x1
	.byte	0x6
	.long	0x175
	.uleb128 0xe
	.string	"m"
	.byte	0x1
	.byte	0x7
	.long	0x175
	.sleb128 0
	.uleb128 0xe
	.string	"d"
	.byte	0x1
	.byte	0x8
	.long	0x14a
	.sleb128 24000
	.byte	0x0
	.uleb128 0xb
	.long	0x14a
	.long	0x186
	.uleb128 0xf
	.long	0x25
	.value	0x3e7
	.byte	0x0
	.uleb128 0x7
	.long	.LASF25
	.byte	0x1
	.byte	0x9
	.long	0x155
	.uleb128 0x10
	.byte	0x1
	.long	.LASF30
	.byte	0x1
	.byte	0x1a
	.byte	0x1
	.long	0x4f
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x20b
	.uleb128 0x11
	.long	.LASF26
	.byte	0x1
	.byte	0x1a
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x11
	.long	.LASF27
	.byte	0x1
	.byte	0x1a
	.long	0x20b
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x12
	.string	"l"
	.byte	0x1
	.byte	0x1c
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -36
	.uleb128 0x12
	.string	"i"
	.byte	0x1
	.byte	0x1c
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x12
	.string	"ret"
	.byte	0x1
	.byte	0x1d
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -28
	.uleb128 0x13
	.long	.LASF28
	.byte	0x1
	.byte	0x1f
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x13
	.long	.LASF29
	.byte	0x1
	.byte	0x20
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x4
	.byte	0x4
	.long	0x6b
	.uleb128 0x10
	.byte	0x1
	.long	.LASF31
	.byte	0x1
	.byte	0x6e
	.byte	0x1
	.long	0x4f
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x263
	.uleb128 0x11
	.long	.LASF26
	.byte	0x1
	.byte	0x6e
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x11
	.long	.LASF27
	.byte	0x1
	.byte	0x6e
	.long	0x20b
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x13
	.long	.LASF32
	.byte	0x1
	.byte	0x70
	.long	0x4f
	.byte	0x2
	.byte	0x74
	.sleb128 40
	.uleb128 0x12
	.string	"i"
	.byte	0x1
	.byte	0x71
	.long	0x4f
	.byte	0x2
	.byte	0x74
	.sleb128 44
	.byte	0x0
	.uleb128 0xb
	.long	0x186
	.long	0x273
	.uleb128 0xc
	.long	0x25
	.byte	0x63
	.byte	0x0
	.uleb128 0x13
	.long	.LASF33
	.byte	0x1
	.byte	0xb
	.long	0x263
	.byte	0x5
	.byte	0x3
	.long	level
	.uleb128 0x13
	.long	.LASF34
	.byte	0x1
	.byte	0xd
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	stat_mutex_init
	.uleb128 0x13
	.long	.LASF35
	.byte	0x1
	.byte	0xe
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	stat_mutex_lock
	.uleb128 0x13
	.long	.LASF36
	.byte	0x1
	.byte	0xf
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	stat_mutex_unlock
	.uleb128 0x13
	.long	.LASF37
	.byte	0x1
	.byte	0x10
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	stat_mutex_destroy
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x17
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x13
	.byte	0x1
	.uleb128 0xb
	.uleb128 0x5
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0x5
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x20
	.value	0x2
	.long	.Ldebug_info0
	.long	0x2c9
	.long	0x191
	.string	"doit"
	.long	0x211
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x75
	.value	0x2
	.long	.Ldebug_info0
	.long	0x2c9
	.long	0x78
	.string	"__pthread_internal_slist"
	.long	0x97
	.string	"__pthread_slist_t"
	.long	0xc1
	.string	"__pthread_mutex_s"
	.long	0x14a
	.string	"pthread_mutex_t"
	.long	0x186
	.string	"Level"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF33:
	.string	"level"
.LASF20:
	.string	"__data"
.LASF13:
	.string	"__pthread_mutex_s"
.LASF17:
	.string	"__owner"
.LASF40:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/helgrind/tests"
.LASF18:
	.string	"__kind"
.LASF24:
	.string	"pthread_mutex_t"
.LASF32:
	.string	"loops"
.LASF21:
	.string	"__size"
.LASF25:
	.string	"Level"
.LASF1:
	.string	"unsigned char"
.LASF28:
	.string	"clo_many"
.LASF3:
	.string	"long unsigned int"
.LASF2:
	.string	"short unsigned int"
.LASF19:
	.string	"__nusers"
.LASF30:
	.string	"doit"
.LASF31:
	.string	"main"
.LASF0:
	.string	"unsigned int"
.LASF7:
	.string	"long long unsigned int"
.LASF10:
	.string	"__spins"
.LASF38:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF34:
	.string	"stat_mutex_init"
.LASF29:
	.string	"clo_level"
.LASF26:
	.string	"argc"
.LASF6:
	.string	"long long int"
.LASF9:
	.string	"char"
.LASF23:
	.string	"__pthread_slist_t"
.LASF22:
	.string	"__align"
.LASF35:
	.string	"stat_mutex_lock"
.LASF16:
	.string	"__count"
.LASF15:
	.string	"__lock"
.LASF5:
	.string	"short int"
.LASF37:
	.string	"stat_mutex_destroy"
.LASF27:
	.string	"argv"
.LASF36:
	.string	"stat_mutex_unlock"
.LASF8:
	.string	"long int"
.LASF11:
	.string	"__list"
.LASF14:
	.string	"__next"
.LASF4:
	.string	"signed char"
.LASF39:
	.string	"t2t.c"
.LASF12:
	.string	"__pthread_internal_slist"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
